<div>
    <div *ngIf="loggedIn">
        <img src="{{ user.photoUrl }}">
        <div style="margin-bottom: 10px;">
            <h4>{{ user.name }}</h4>
            <p>{{ user.email }}</p>

            <!-- <button mat-raised-button color="primary" (click)="goTo('shop')">
                Visit my Store
            </button> -->
        </div>
        <!-- <button mat-raised-button color="warn" (click)="signOut()">
            Logout from Facebook
        </button> -->
    </div>

    <div *ngIf="!loggedIn" style="display: flex; flex-direction: column;">
        <button style="margin-bottom: 5px;"  mat-raised-button color="primary" (click)="signIn('fb')">
            Sign in with Facebook
        </button>
        
        <button style="margin-bottom: 5px;"  mat-raised-button color="secondary" (click)="signIn('guest')">
            Continue as Guest
        </button>
        <br>
    </div>
    <!-- <button *ngIf="!loggedIn" mat-raised-button color="warn" (click)="testLogin('fb')">
        Sign in with Google
    </button> -->

    
</div>
